> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cognizo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Advertiser summary



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/brands/{brand_id}/advertisers/{advertiser_id}
openapi: 3.0.1
info:
  title: Cognizo Public API
  version: v1
  description: >-
    Public REST API for Cognizo. Authenticate with an API key via the
    `X-API-KEY` header.
servers:
  - url: https://core.cognizo.ai
security:
  - apiKey: []
paths:
  /api/v2/brands/{brand_id}/advertisers/{advertiser_id}:
    parameters:
      - name: brand_id
        in: path
        required: true
        schema:
          type: string
          format: uuid
      - name: advertiser_id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Advertisers
      summary: Advertiser summary
      operationId: get_brand_advertiser
      parameters:
        - name: filter[ran_at_start]
          in: query
          required: false
          description: Default 90 days ago
          schema:
            type: string
            format: date-time
        - name: filter[ran_at_end]
          in: query
          required: false
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: summary
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/advertiser'
                required:
                  - data
        '404':
          description: advertiser not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '500':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    advertiser:
      type: object
      properties:
        advertiser_id:
          type: string
          format: uuid
        advertiser_name:
          type: string
        advertiser_domain:
          type: string
          nullable: true
        favicon_url:
          type: string
          nullable: true
        appearance_count:
          type: integer
        prompt_count:
          type: integer
        ad_count:
          type: integer
        provider_count:
          type: integer
        first_seen_at:
          type: string
          format: date-time
          nullable: true
        last_seen_at:
          type: string
          format: date-time
          nullable: true
      required:
        - advertiser_id
        - advertiser_name
        - appearance_count
        - prompt_count
        - ad_count
        - provider_count
    error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: array
              items:
                $ref: '#/components/schemas/error_detail'
          required:
            - code
            - message
      required:
        - error
    error_detail:
      type: object
      properties:
        field:
          type: string
          nullable: true
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
        - field
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````